Loading...
Searching...
No Matches
unity::shell::notifications::ModelInterface Class Reference

A list of notifications to be displayed. More...

`#include <unity/shell/notifications/ModelInterface.h>`

Inheritance diagram for unity::shell::notifications::ModelInterface:
[legend]
Collaboration diagram for unity::shell::notifications::ModelInterface:
[legend]

## Public Types

enum | Roles { RoleType = Qt::UserRole + 1 , RoleUrgency = Qt::UserRole + 2 , RoleId = Qt::UserRole + 3 , RoleSummary = Qt::UserRole + 4 , RoleBody = Qt::UserRole + 5 , RoleValue = Qt::UserRole + 6 , RoleIcon = Qt::UserRole + 7 , RoleSecondaryIcon = Qt::UserRole + 8 , RoleActions = Qt::UserRole + 9 , RoleHints = Qt::UserRole + 10 , RoleNotification = Qt::UserRole + 11 }
| NotificationModel's data-role enumeration. More...

## Signals

void | confirmationPlaceholderChanged (bool confirmationPlaceholder)

## Properties

bool | confirmationPlaceholder
| Whether a placeholder for confirmation should be kept at the beginning.

## Detailed Description

A list of notifications to be displayed.

This model exposes all the notifications that are currently supposed to be on screen. Not all of them might actually get on screen due to screen size, in which case the NotificationInterface::displayed() signal will only be emitted after the notification was actually displayed.

## Member Enumeration Documentation

## Roles

enum unity::shell::notifications::ModelInterface::Roles

NotificationModel's data-role enumeration.

The different data-entries of a notification element in the model.

Enumerator
RoleUrgency | type of notification
RoleId | urgency of notification
RoleSummary | internal id set by daemon
RoleBody | summary-text
RoleValue | body-text
RoleIcon | 0..100 value
RoleSecondaryIcon | main icon
RoleActions | optional 2nd icon
RoleHints | attached optional actions
RoleNotification | attached hints

## Member Function Documentation

## confirmationPlaceholderChanged

void unity::shell::notifications::ModelInterface::confirmationPlaceholderChanged | ( | bool | confirmationPlaceholder | ) |

signal

Emitted when value of the confirmationPlaceholder property has changed.

Parameters

  confirmationPlaceholder | New value of the confirmationPlaceholder property.

## Property Documentation

## confirmationPlaceholder

bool unity::shell::notifications::ModelInterface::confirmationPlaceholder

read write

Whether a placeholder for confirmation should be kept at the beginning.

When this is true, the model should hold a Placeholder type notification at the top and update its data when an incoming Confirmation type notification is sent.

Accessors:\n confirmationPlaceholder(), setConfirmationPlaceholder(bool confirmationPlaceholder)

Notifier:\n confirmationPlaceholderChanged(bool confirmationPlaceholder)

The documentation for this class was generated from the following file:

- include/unity/shell/notifications/ModelInterface.h